function priklad_ODR()

% -u''(x) + u'(x) = 1 v (0.1)
%   u(0) = u(1) = 0
%
% analyt. res.: u(x) = 1/(e-1)+exp(x)/(1-e)+x
% vers. numer. res. pro h=1/2,1/4,1/8,...

h = 0.5;
for i=1:10
    x = 0:h:1;
    n = length(x)-1;
    A = spdiags([(-1/h^2)*ones(n+1,1),(2/h^2-1/h)*ones(n+1,1),(-1/h^2+1/h)*ones(n+1,1)],-1:1,n+1,n+1);
    A = [ [1 zeros(1,n)] ; A(2:n,:) ; [zeros(1,n) 1] ];
    b = [ 0 ; ones(n-1,1) ; 0 ];
    %
    unumer = A\b;
    %
    uanalyt = 1/(exp(1)-1)+exp(x)/(1-exp(1))+x;
    
    plot(x,uanalyt,'r',x,unumer,'b')
    h = h/2;
    pause
end